Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Start Afresh

Idempotency Supported

Restart the time machine. This will clear the "customer" data like customer details, subscriptions, invoices, transactions. Also a time travel is initiated to travel back to specified genesis time.

Note: This API call is asynchronous. You need to check if the "start afresh" operation has completed by checking if the time travel status is successful by retrieving the time machine in a loop with a minimum delay of 3 secs between two retrieve requests. In case you are using any of the client libraries, use the wait for time travel completion function provided as a instance method in the library.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/time_machines/{time-machine-name}/start_afresh

Input Parameters

genesis_time
optional, timestamp(UTC) in seconds

The genesis time to travel back as part of the reset operation. If not provided, then the travel is set to 6 months in the past.

Note: Can only be in the past.

Returns

Time machine object
Resource object representing time_machine